/*
	dotNET FontManager library
    Copyright (C) 2015 SCAND Ltd, svg@scand.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    This license has exceptions: it can be used with OxyPlot and SvgNet on basis 
    on Apache license. For all other cases it shoulkd be provided under GPLv3.
*/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "conv.h"

extern "C"
{
	__declspec(dllexport) int __stdcall load(void* bytes, int len, void** outp, int* outs)
	{
		char* b2 = new char[len];
		memcpy(b2, bytes, len);
    	const char* text = parseFont(b2, len);
    	delete[] b2;

    	if(text){ 
    		*outs = strlen(text);
    		*outp = (void*)text;
    		return 1;
    	}
    	else {
    		*outs = 0;
    		*outp = 0;
    		return 0;
    	}
	}
}
	